/*-------------------------- Parallax Standard H_File ----------------------------

   H_File   : inapidef.h

   Scope    : PORTABLE

   Purpose  : Constants used in API's on all platforms.

     $nokeywords$

--------------------------------------------------------------------------------
     Copyright (c)1995 Parallax Software , All rights reserved.
------------------------------------------------------------------------------*/

#ifndef INC_INAPIDEF
#define INC_INAPIDEF

/*  FILE FORMATS - initially these are the same as the CFG_FF_? 
 *       formats, but this will give us a level of seperation between the 
 *       API and the internal code.
 */

/* Raster */
#define API_FF_UNKNOWN              0
#define API_FF_MIL                  1
#define API_FF_FNT                  2
#define API_FF_TIFFL                3
#define API_FF_CMP                  4
#define API_FF_NIF                  5
#define API_FF_PCX                  6
#define API_FF_BMP                  7
#define API_FF_CAL                  8
#define API_FF_SMF                  9
#define API_FF_ACCESS              10
#define API_FF_TIFFLG3             11
#define API_FF_TIFFLG3T            12
#define API_FF_TIFFM               13
#define API_FF_TIFFMG3             14
#define API_FF_TIFFMG3T            15
#define API_FF_SKANTEK             16
#define API_FF_GEM                 17
#define API_FF_VIDAR_V1            18  /* for version 1 */
#define API_FF_RLC                 19
#define API_FF_PBITL               20
#define API_FF_PBITM               21
#define API_FF_TIFFLTG4            22
#define API_FF_TIFFMTG4            23
#define API_FF_TIFFLSG4            24
#define API_FF_TIFFMSG4            25
#define API_FF_CALS2               26
#define API_FF_DSI                 27
#define API_FF_VIDAR_ORI           28
#define API_FF_VIDAR_EXT           29
#define API_FF_CCRF                30
#define API_FF_IGF                 31
#define API_FF_TIFFLRAW            32
#define API_FF_TIFFMRAW            33
#define API_FF_PBITLS              34
#define API_FF_PBITMS              35
#define API_FF_TIFFLRAWT           36
#define API_FF_TIFFMRAWT           37
#define API_FF_TIFFLRAWS           38
#define API_FF_TIFFMRAWS           39
#define API_FF_IGF_RAW             40
#define API_FF_IGF_RLE             41
#define API_FF_S6                  42
#define API_FF_HIRF                43
#define API_FF_VIDAR_EXT_RAW       44
#define API_FF_VIDAR_V1_RAW        45
#define API_FF_RLC2                46
#define API_FF_RLCX                47
#define API_FF_BROOKTROUT          48
#define API_FF_CALSB               49
#define API_FF_JFIF                50
#define API_FF_XIONICS_G4L         51
#define API_FF_LASERDATA           52
#define API_FF_FMXG4L              53
#define API_FF_GENG4               54
#define API_FF_FXS                 55
#define API_FF_IGF_OLD             56
#define API_FF_SUN_RAW             57
#define API_FF_SUN_RLE             58
#define API_FF_SUN_RGB             59
#define API_FF_TIFFO               60

/* Vector */
#define API_FF_EDT                500
#define API_FF_HPGL               501
#define API_FF_DXFASCII           502
#define API_FF_DXFBINARY          503
#define API_FF_DXB                504
#define API_FF_DWG                505
#define API_FF_DSIDWG             506
#define API_FF_MI                 507
#define API_FF_DGN                508
#define API_FF_ATTC               509
#define API_FF_DRW1               510
#define API_FF_DRW2               511
#define API_FF_WMF                512

/* Multipage/Multilayer */
#define API_MPAGE_DAS             600
#define API_MPAGE_SMF_INTERNAL    601
#define API_MPAGE_SMF_EXTERNAL    602
#define API_MPAGE_TIFF            603
#define API_MPAGE_DCX             604
#define API_MPAGE_SMFARC          605
#define API_MPAGE_FXS             606
#define API_MPAGE_SET             607

/* Text */
#define API_FF_WPERFECT           700
#define API_FF_WPERFECT6          701
#define API_FF_MSWORD6            702
#define API_FF_ASCIITEXT          703
#define API_FF_RTF                704



/* Define colors */
#define IN_COLOR_WHITE              0   
#define IN_COLOR_BLUE               1   
#define IN_COLOR_CYAN               2   
#define IN_COLOR_RED                3   
#define IN_COLOR_YELLOW             4   
#define IN_COLOR_GREEN              5   
#define IN_COLOR_MAGENTA            6   
#define IN_COLOR_GREY               7   
#define IN_COLOR_DARK_BLUE          8   
#define IN_COLOR_DARK_CYAN          9   
#define IN_COLOR_DARK_RED          10   
#define IN_COLOR_DARK_YELLOW       11   
#define IN_COLOR_DARK_GREEN        12   
#define IN_COLOR_DARK_MAGENTA      13   
#define IN_COLOR_DARK_GREY         14   
#define IN_COLOR_BLACK             15   



/* Define locations for files to reside */
#define IN_LOCN_DISK                0   /* File is stored on disk */



/* Define postitions on the page */
#define IN_POSN_TOP                 1   /* Top location */
#define IN_POSN_BOTTOM              2   /* bottom location */
#define IN_POSN_TOP_LEFT            3   /* top left location */
#define IN_POSN_TOP_CENTER          4   /* top center location */
#define IN_POSN_TOP_RIGHT           5   /* top right location */
#define IN_POSN_BOTTOM_LEFT         6   /* bottom left location */
#define IN_POSN_BOTTOM_CENTER       7   /* bottom center location */
#define IN_POSN_BOTTOM_RIGHT        8   /* bottom right location */



/* Define window view modes */
#define IN_WIN_HIDE                 0
#define IN_WIN_SHOWNORMAL           1
#define IN_WIN_NORMAL               1
#define IN_WIN_SHOWMINIMIZED        2
#define IN_WIN_SHOWMAXIMIZED        3
#define IN_WIN_MAXIMIZE             3
#define IN_WIN_SHOWNOACTIVATE       4
#define IN_WIN_SHOW                 5
#define IN_WIN_MINIMIZE             6
#define IN_WIN_SHOWMINNOACTIVE      7
#define IN_WIN_SHOWNA               8
#define IN_WIN_RESTORE              9
#define IN_WIN_SHOW_UNICONIFY      10



/* Define window view modes */
#define IN_WIN_ARRANGE_CASCADE      2
#define IN_WIN_ARRANGE_TILE         1 
#define IN_WIN_ARRANGE_TILESTRIPS   5
#define IN_WIN_ARRANGE_TILEVERTICAL 10



/* Define window view modes for IconizeDocwin */
#define IN_ICONIZE                  1
#define IN_RESTORE                  2



/* Define types of notifications */
#define IN_NFY_CLOSE_DOCWIN         1   /* Close document window */
#define IN_NFY_TERMINATE            2   /* Terminate Eroica */
#define IN_NFY_SCAN_COMPLETE        3   /* Scan complete */
#define IN_NFY_HOTSPOT_ACTIVATED    4   /* Hotspot activation */
#define IN_NFY_DDE_API_IN_USE       5   /* DDE API in use */
#define IN_NFY_HOTSPOT_PLACED       6   /* Hotspot has been placed */
#define IN_NFY_CHANGE_DOCWIN        7   /* Document window change */
#define IN_NFY_NEW_DOCWIN           8   /* New Document window */
#define IN_NFY_NEW_PAGE             9   /* New page */
#define IN_NFY_CHANGE_PAGE         10   /* change page */
#define IN_NFY_MOUSE_CLICK         11   /* mouse click */
#define IN_NFY_CLOSE_ALL           12   /* close all document windows */
#define IN_NFY_CHECK_IN            13   /* Check in a document */
#define IN_NFY_CHECK_OUT           14   /* Check out a document */
#define IN_NFY_OCR_REGION          15   /* Do OCR on a region */
#define IN_NFY_RELATIVE_MEASURE    16   /* Relative Measure */
#define IN_NFY_HSA_ACTIVATED       17   /* HSA Hotspot activation */
#define IN_NFY_HOTSPOT_HIGHLIGHTED 18   /* Hotspot highlighted */
#define IN_NFY_MENU_INTERCEPT      19   /* Menu intercept */
#define IN_NFY_HOTSPOT_DELETED     20   /* Hotspot deleted */
#define IN_NFY_REMOTE_PRINT        21   /* Remote print    */
#define IN_NFY_OPERATION_INTERCEPT 22   /* Operation Intercept */

#define IN_NFY_FIRST_NOTIFY         1   /* First notification */
#define IN_NFY_LAST_NOTIFY         22   /* Last notification */



/* Define types of querys */
#define IN_QRY_CLOSE_DOCWIN       100   /* Can window be closed? */
#define IN_QRY_TERMINATE          101   /* Can Eroica terminate? */
#define IN_QRY_RESOLVE_NAME       102   /* Resolve symbolic name */
#define IN_QRY_RESOLVE_XREF       103   /* Resolve external reference */

#define IN_QRY_FIRST_QUERY        100   /* First query */
#define IN_QRY_LAST_QUERY         103   /* Last query */



/* Define orientation types */
#define IN_ORIENT_BEST_FIT          1
#define IN_ORIENT_PORTRAIT          2
#define IN_ORIENT_LANDSCAPE         3
#define IN_ORIENT_MIN_LENGTH        4



/* Define scale mode types */
#define IN_SCALE_MODE_TO_FIT              1
#define IN_SCALE_MODE_ACTUAL_SIZE         2
#define IN_SCALE_MODE_HALF_PAGE           3
#define IN_SCALE_MODE_NO_SCALE            4
#define IN_SCALE_MODE_ACTUAL_SIZE_OR_FIT  5



/* Define print options */
#define IN_PRINT_CURRENT_PAGE       1
#define IN_PRINT_PAGE_RANGE         2
#define IN_PRINT_ALL_PAGES          3



/* Define the Print type */
#define IN_PRN_WINDOW               0
#define IN_PRN_DOC                  1



/* Window rotation types */
#define IN_ROTATION_0               0
#define IN_ROTATION_90              1
#define IN_ROTATION_180             2
#define IN_ROTATION_270             3



/* Define scan constants */
#define IN_SEL_ON                   1



/* Selections for print modes */
#define IN_PMODE_DOCUMENT           1 
#define IN_PMODE_LAYERS             2 
#define IN_PMODE_AS_DISPLAYED       4 
#define IN_PMODE_ACTIVE_RASTER      8 
#define IN_PMODE_ACTIVE_EDIT        16 
#define IN_PMODE_RASTERS_DISPLAYED  32 
#define IN_PMODE_EDITS_DISPLAYED    64



/* Directions for searching */
#define IN_DIR_FIRST                0
#define IN_DIR_LAST                 1
#define IN_DIR_PREVIOUS             2
#define IN_DIR_NEXT                 3



/* Flags for text searching */
#define IN_FND_MATCH_CASE           1
#define IN_FND_WHOLE_WORDS          2



/* Result codes for scanning */
#define IN_SCAN_CANCEL              0
#define IN_SCAN_OK                  1
#define IN_SCAN_FAILURE             2



/* Types of registration */
#define IN_REG_CALLBACK             0
#define IN_REG_PRIVATE_MSG          1
#define IN_REG_DDE                  3



/* Flags for saving */
#define IN_FLG_CHECK_EXISTS         0x0001U
#define IN_FLG_EXPORT               0x0002U



/* OS platform definitions */
#define IN_OS_WIN16                 0
#define IN_OS_WIN32                 1
#define IN_OS_UNIX                  2
#define IN_OS_MAC                   3



/* Types of merges */
#define IN_MERGE_USER_PROMPT        0
#define IN_MERGE_DOCUMENT           1
#define IN_MERGE_LAYERS             2
#define IN_MERGE_AS_DISPLAYED       3
#define IN_MERGE_RASTERS_DISPLAYED  4
#define IN_MERGE_EDITS_DISPLAYED    5
#define IN_MERGE_ACTIVE_RASTER      6
#define IN_MERGE_ACTIVE_EDIT        7



/* Types of layers */
#define IN_LAYER_UNKNOWN            0
#define IN_LAYER_REDLINE            1
#define IN_LAYER_EDIT               2
#define IN_LAYER_FULLEDIT           3
#define IN_LAYER_ANNOTATION         4
#define IN_LAYER_HOTSPOT            5
#define IN_LAYER_RASTER             6
#define IN_LAYER_TEXT               7



/* Fax resolutions */
#define IN_FAXRES_NORMAL            1
#define IN_FAXRES_FINE              2



/* Eroica object types */
#define IN_TYPE_UNKNOWN             0
#define IN_TYPE_DOCUMENT_WINDOW     1
#define IN_TYPE_DOCUMENT            2
#define IN_TYPE_PAGE                3
#define IN_TYPE_LAYER               4



/* System object definition */
#define IN_SYSTEM_OBJECT            0xFFFFFFFFU



/* System property identifiers */
#define IN_PROP_HIGHLIGHT_BOX_COLOR            0x00000001L
#define IN_PROP_HOTSPOT_PROMPT_DATA_FLAG       0x00010002L
#define IN_PROP_READ_ONLY_MODS_FLAG            0x00010003L
#define IN_PROP_DETAIL_WINDOW                  0x00010004L
#define IN_PROP_REFERENCE_WINDOW               0x00010005L
#define IN_PROP_LAYER_WINDOW                   0x00010006L
#define IN_PROP_RIBBON_BAR                     0x00010007L
#define IN_PROP_STATUS_BAR                     0x00010008L
#define IN_PROP_TOOL_BAR                       0x00010009L
#define IN_PROP_FRAME_HWND                     0x0000000AL
#define IN_PROP_OVERWRITE_RASTER               0x0001000BL
#define IN_PROP_REMOVE_MERGED_LAYERS           0x0001000CL
#define IN_PROP_HWND_FROM_DOCWINID             0x0000000DL
#define IN_PROP_DOCWINID_FROM_HWND             0x0010000EL
#define IN_PROP_LAYER_DEFAULT_FORMAT           0x0000000FL
#define IN_PROP_BUTTON_STATUS                  0x00000010L
#define IN_PROP_MENU_STATUS                    0x00000011L
#define IN_PROP_ASCII_TEMPLATE_FILENAME        0x00110012L
#define IN_PROP_SYMBOL_DIRECTORY               0x00110013L
#define IN_PROP_DOCUMENT_DIRECTORY             0x00110014L
#define IN_PROP_SCAN_PARAMETER                 0x00110015L
#define IN_PROP_XREF_PATH                      0x00110016L
#define IN_PROP_SYMBOL                         0x0011001AL
#define IN_PROP_CFG_FILENAME                   0x0011001BL
#define IN_PROP_MENU_BAR                       0x0001001CL
#define IN_PROP_SERIAL_NUMBER                  0x0011001DL

#define IN_PROP_FIRST_SYSTEM                   0x0001
#define IN_PROP_LAST_SYSTEM                    0x0FFF



/* Object-related properties */
#define IN_PROP_OBJECT_TYPE                    0x00101000L
#define IN_PROP_PARENT_ID                      0x00101001L
#define IN_PROP_FIRST_CHILD_ID                 0x00101002L
#define IN_PROP_NEXT_SIBLING_ID                0x00101003L
#define IN_PROP_PREV_SIBLING_ID                0x00101004L
#define IN_PROP_FILENAME                       0x00111005L
#define IN_PROP_TITLE                          0x00111006L
#define IN_PROP_PERMISSIONS                    0x00101007L
#define IN_PROP_STATE                          0x00001008L
#define IN_PROP_SCROLL_STEP                    0x00001009L
#define IN_PROP_LAYER_FORMAT                   0x0000100AL
#define IN_PROP_SCROLL_VIEW                    0x0000100BL
#define IN_PROP_RASTER_INFO_STRING             0x0011100CL
#define IN_PROP_HAIRLINE                       0x0001100DL
#define IN_PROP_WIREFRAME                      0x0001100EL
#define IN_PROP_MONOCHROME                     0x0001100FL
#define IN_PROP_LAYER_COLOR                    0x00101010L
#define IN_PROP_ZOOM                           0x00001011L
#define IN_PROP_TOOL                           0x00001012L

#define IN_PROP_FIRST_OBJECT                   0x1000
#define IN_PROP_LAST_OBJECT                    0x1FFF



/* Menu / Button values */
#define IN_UI_ENABLED                       0x01
#define IN_UI_GREYED                        0x02
#define IN_UI_REMOVED                       0x04
#define IN_UI_CHECKED                       0x08



/* Page location and type constants */
#define IN_NEWPAGE_BEFORE                   0
#define IN_NEWPAGE_AFTER                    1
#define IN_NEWPAGE_BEGIN                    2
#define IN_NEWPAGE_END                      3
#define IN_NEWPAGE_LEAF                     0
#define IN_NEWPAGE_MULTIPAGE_ROOT           1



/* defs for dialogs */
#define IN_DIALOG_VIEWPREF           1
#define IN_DIALOG_EDITPREF           2
#define IN_DIALOG_TOOLPREF           3
#define IN_DIALOG_TEXTPREF           4
#define IN_DIALOG_DIMPREF            5
#define IN_DIALOG_SYSTOPT            6
#define IN_DIALOG_FILEOPT            7
#define IN_DIALOG_VIEWOPT            8
#define IN_DIALOG_EDITOPT            9
#define IN_DIALOG_TOOLOPT           10
#define IN_DIALOG_TEXTOPT           11
#define IN_DIALOG_DIMOPT            12
#define IN_DIALOG_HOTOPT            13
#define IN_DIALOG_PRINT_SET         14



/* Vector tool object types */
#define IN_TOOL_NOTOOL               0
#define IN_TOOL_CUT                  1
#define IN_TOOL_COPY                 2
#define IN_TOOL_PASTE                3
#define IN_TOOL_LINE                 4
#define IN_TOOL_BOX                  5
#define IN_TOOL_CIRCLE               6
#define IN_TOOL_ELLIPSE              7
#define IN_TOOL_ARROW                8
#define IN_TOOL_SKETCH               9
#define IN_TOOL_POLYLINE            10
#define IN_TOOL_POLYGON             11
#define IN_TOOL_TEXT                12
#define IN_TOOL_ANNOTATION          13
#define IN_TOOL_DIMENSION           14
#define IN_TOOL_SYMBOL              15
#define IN_TOOL_HOTSPOT             16
#define IN_TOOL_RUBOUT              17
#define IN_TOOL_ERASEAREA           18
#define IN_TOOL_SELECT              19
#define IN_TOOL_SELECTALL           20
#define IN_TOOL_DESELECTALL         21
#define IN_TOOL_MOVERESIZE          22
#define IN_TOOL_ROTATE              23
#define IN_TOOL_DELETE              24
#define IN_TOOL_SAVESYM             25
#define IN_TOOL_BIND                26
#define IN_TOOL_UNBIND              27
#define IN_TOOL_CHANGETEXT          28
#define IN_TOOL_ARC                 29
#define IN_TOOL_ICON                30
#define IN_TOOL_HIGHLIGHT           31
#define IN_TOOL_SHADER              32



/* Unit definitions */
#define IN_UNITS_PROPORTIONAL         0
#define IN_UNITS_INCH                 1  /* inches   */
#define IN_UNITS_CM                   2  /* cm       */
#define IN_UNITS_PIXEL                3  /* pixels   */
#define IN_UNITS_FT                   4  /* feet     */
#define IN_UNITS_MM                   5  /* mm       */
#define IN_UNITS_M                    6  /* m        */
#define IN_UNITS_POINTS               7  /* points   */
#define IN_UNITS_TWIPS                8  /* twips    */
#define IN_UNITS_CUSTOM1              9  /* custom 1 */
#define IN_UNITS_CUSTOM2              10 /* custom 2 */
#define IN_UNITS_CUSTOM3              11 /* custom 3 */
#define IN_UNITS_DEFAULT              12 /* default  */



/* Search types */
#define IN_SEARCH_EXACT_MATCH         0



/* Permission bits */
#define IN_PERM_READ                  0x00000001L
#define IN_PERM_WRITE                 0x00000002L
#define IN_PERM_CREATE                0x00000004L
#define IN_PERM_MODIFY                0x00000008L
#define IN_PERM_DELETE                0x00000010L
#define IN_PERM_PRINT                 0x00000020L
#define IN_PERM_VISIBILITY            0x00000040L
#define IN_PERM_STATIC                0x00000080L
#define IN_PERM_USER1                 0x00000100L
#define IN_PERM_USER2                 0x00000200L



/* Document states */
#define IN_STATE_CLEAN                0x0001
#define IN_STATE_MODIFIED             0x0002
#define IN_STATE_DELETED              0x0004
#define IN_STATE_NEW                  0x0008
#define IN_STATE_MODIFIED_SINCE_LOAD  0x0010
#define IN_STATE_NEW_SINCE_LOAD       0x0020
#define IN_STATE_READONLY             0x0080



/* Flag constants */
#define IN_FLAG_SCROLLBAR_NONE        0
#define IN_FLAG_SCROLLBAR_HORZ        1
#define IN_FLAG_SCROLLBAR_VERT        2
#define IN_FLAG_SCROLLBAR_BOTH        (IN_FLAG_SCROLLBAR_HORZ | IN_FLAG_SCROLLBAR_VERT)



/*  definitions for the 'action' field of Measure   */
#define IN_MEASURE_SET                1
#define IN_MEASURE_DO                 2



/* Definitions for view types */
#define IN_VIEWTYPE_DEFAULT           0
#define IN_VIEWTYPE_ACTIVE            1



/*  definitions for the 'scrollmode' field of SetScrollView  */
#define IN_SCROLL_CENTER           1
#define IN_SCROLL_BOTTOMLEFT       2
#define IN_SCROLL_BOTTOMRIGHT      3
#define IN_SCROLL_TOPLEFT          4
#define IN_SCROLL_TOPRIGHT         5
#define IN_SCROLL_UPSTEP           6
#define IN_SCROLL_DOWNSTEP         7
#define IN_SCROLL_RIGHTSTEP        8
#define IN_SCROLL_LEFTSTEP         9
#define IN_SCROLL_UPPAGE           10
#define IN_SCROLL_DOWNPAGE         11
#define IN_SCROLL_LEFTPAGE         12
#define IN_SCROLL_RIGHTPAGE        13
#define IN_SCROLL_LEFTDOWNSTEP     14
#define IN_SCROLL_RIGHTDOWNSTEP    15
#define IN_SCROLL_LEFTUPSTEP       16
#define IN_SCROLL_RIGHTUPSTEP      17
#define IN_SCROLL_LEFTDOWNPAGE     18
#define IN_SCROLL_RIGHTDOWNPAGE    19
#define IN_SCROLL_LEFTUPPAGE       20
#define IN_SCROLL_RIGHTUPPAGE      21
#define IN_SCROLL_TOPCENTER        22
#define IN_SCROLL_RIGHTCENTER      23
#define IN_SCROLL_LEFTCENTER       24
#define IN_SCROLL_BOTTOMCENTER     25


/* Commands for the menus */
#define IN_ZOOM_IN                  1
#define IN_ZOOM_OUT                 2
#define IN_ZOOM_SCALETOFIT          3
#define IN_ZOOM_HORIZFIT            4
#define IN_ZOOM_VERTFIT             5
#define IN_ZOOM_ACTUALSIZE          6
#define IN_ZOOM_SCALEFACTOR         7
#define IN_ZOOM_1TO1                8



/* Commands for the menus */
#define IN_CMD_FILE                       100
#define IN_CMD_FILE_NEW                   101
#define IN_CMD_FILE_OPEN                  102
#define IN_CMD_FILE_WORKLIST              103
#define IN_CMD_FILE_SAVE                  104
#define IN_CMD_FILE_SAVEAS                105
#define IN_CMD_FILE_SCAN                  106
#define IN_CMD_FILE_FAX_SEND              107
#define IN_CMD_FILE_PRINT                 108
#define IN_CMD_FILE_PRINTSETUP            109
#define IN_CMD_FILE_CHECKIN               110
#define IN_CMD_FILE_MANSETS               115
#define IN_CMD_FILE_EXIT                  116
#define IN_CMD_FILE_CHECKOUT              117
#define IN_CMD_FILE_SENDMAIL              118
#define IN_CMD_FILE_SCAN_SETUP            119
#define IN_CMD_FILE_CLOSE                 120
#define IN_CMD_FILE_CLOSEALL              121
#define IN_CMD_FILE_ACQUIRE               122
#define IN_CMD_FILE_SELECT_SOURCE         123
#define IN_CMD_FILE_OCR                   124
#define IN_CMD_FILE_USER                  125
#define IN_CMD_FILE_ADD_DOCUMENT          126

#define IN_CMD_EDIT                       150
#define IN_CMD_EDIT_UNDO                  151
#define IN_CMD_EDIT_REDO                  152
#define IN_CMD_EDIT_CUT                   153
#define IN_CMD_EDIT_COPY                  154
#define IN_CMD_EDIT_PASTE                 155
#define IN_CMD_EDIT_PREFS                 156
#define IN_CMD_EDIT_COPY_DOCUMENT         157
#define IN_CMD_FILE_OCR_REGION            158
#define IN_CMD_FILE_OCR_PAGE              159
#define IN_CMD_EDIT_FIND                  160

#define IN_CMD_VIEW                       200
#define IN_CMD_VIEW_FIT                   201
#define IN_CMD_VIEW_1TO1                  202
#define IN_CMD_VIEW_HTFIT                 203
#define IN_CMD_VIEW_VTFIT                 204
#define IN_CMD_VIEW_ACTUAL                205
#define IN_CMD_VIEW_REFRESH               206
#define IN_CMD_VIEW_INVERT                207
#define IN_CMD_VIEW_ROT_CCW               208
#define IN_CMD_VIEW_ROT_CW                209
#define IN_CMD_VIEW_MAGNIFY               210
#define IN_CMD_VIEW_REDUCE                211
#define IN_CMD_VIEW_REFWND                212
#define IN_CMD_VIEW_ANNOTNS               213
#define IN_CMD_VIEW_MIN_ANNOTNS           214
#define IN_CMD_VIEW_MAX_ANNOTNS           215
#define IN_CMD_VIEW_PREFS                 216
#define IN_CMD_MEASURE                    217
#define IN_CMD_MEASURE_SET                218
#define IN_CMD_MEASURE_DO                 219
#define IN_CMD_VIEW_MIRROR                227
#define IN_CMD_VIEW_SAMPLE                228
#define IN_CMD_VIEW_NEGATIVE              229
#define IN_CMD_MIRROR                     231
#define IN_CMD_VIEW_SCROLLBARS            232
#define IN_CMD_VIEW_ROT_180               233
#define IN_CMD_VIEW_IMAGEINFO             234
#define IN_CMD_VIEW_SCALETOGRAY           235
#define IN_CMD_VIEW_DISPROWCOL            236
#define IN_CMD_VIEW_NEW                   237
#define IN_CMD_VIEW_NEW_DEFAULT           238
#define IN_CMD_VIEW_NEW_DUPLICATE         239
#define IN_CMD_VIEW_WIREFRAMES            240
#define IN_CMD_VIEW_HAIRLINES             241
#define IN_CMD_VIEW_MONOCHROME            242
#define IN_CMD_VIEW_ORIGCOLOR             243
#define IN_CMD_VIEW_ZOOMCUSTOM            244
#define IN_CMD_VIEW_MEASURE               245

#define IN_CMD_PAGE                       250
#define IN_CMD_PGNEW_START                251
#define IN_CMD_PGNEW_BEFORE               252
#define IN_CMD_PGNEW_AFTER                253
#define IN_CMD_PGNEW_END                  254
#define IN_CMD_PAGE_IMPORT_START          255
#define IN_CMD_PAGE_IMPORT_BEFORE         256
#define IN_CMD_PAGE_IMPORT_AFTER          257
#define IN_CMD_PAGE_IMPORT_END            258
#define IN_CMD_PAGE_REORDER               259
#define IN_CMD_PAGE_REMOVE                260
#define IN_CMD_PAGE_EXPORT                261
#define IN_CMD_PAGE_CONTENTS              262
#define IN_CMD_PAGE_GOTO                  263
#define IN_CMD_PAGE_FIRST                 264
#define IN_CMD_PAGE_PREV                  265
#define IN_CMD_PAGE_NEXT                  266
#define IN_CMD_PAGE_LAST                  267
#define IN_CMD_PAGE_INFO                  268
#define IN_CMD_PAGE_REPLACE               269
#define IN_CMD_PAGE_ATTRIBUTES            270
#define IN_CMD_PAGE_FONTREMAP             271
#define IN_CMD_PGNEW                      272
#define IN_CMD_PAGE_IMPORT                273
#define IN_CMD_PAGE_SCAN                  274
#define IN_CMD_PAGE_SCAN_REPLACE          275
#define IN_CMD_PAGE_SCAN_BEFORE           276
#define IN_CMD_PAGE_SCAN_AFTER            277

#define IN_CMD_LAYER                      300
#define IN_CMD_LAYER_NEW                  301
#define IN_CMD_NEW_REDLINE                302
#define IN_CMD_NEW_EDIT                   303
#define IN_CMD_NEW_FULLEDIT               304
#define IN_CMD_NEW_ANNOTATION             305
#define IN_CMD_NEW_HOTSPOT                306
#define IN_CMD_LAYER_IMPORT               307
#define IN_CMD_LAYER_EXPORT               308
#define IN_CMD_LAYER_ACTIVE               309
#define IN_CMD_LAYER_DISPLAY              310
#define IN_CMD_LAYER_COLOUR               311
#define IN_CMD_LAYER_REORDER              312
#define IN_CMD_LAYER_REMOVE               313
#define IN_CMD_LAYER_ALIGN                314
#define IN_CMD_LAYER_INFO                 315
#define IN_CMD_LAYER_ATTRIBUTES           316
#define IN_CMD_LAYER_MOVE                 317
#define IN_CMD_LAYER_COMPARE              318

#define IN_CMD_TOOL                       350
#define IN_CMD_TOOL_LINE                  351
#define IN_CMD_TOOL_ARC                   352
#define IN_CMD_TOOL_BOX                   353
#define IN_CMD_TOOL_CIRC                  354
#define IN_CMD_TOOL_ELIPS                 355
#define IN_CMD_TOOL_SKETCH                356
#define IN_CMD_TOOL_PLINE                 357
#define IN_CMD_TOOL_PGON                  358
#define IN_CMD_TOOL_ARROW                 359
#define IN_CMD_TOOL_TEXT                  360
#define IN_CMD_TOOL_DIM                   361
#define IN_CMD_TOOL_ANNO                  362
#define IN_CMD_TOOL_LDSYM                 363
#define IN_CMD_TOOL_SYMBOL                364
#define IN_CMD_TOOL_HOTSPOT               365
#define IN_CMD_TOOL_RUBOUT                366
#define IN_CMD_TOOL_ERASEAREA             367
#define IN_CMD_TOOL_TOOLPREFS             368
#define IN_CMD_TOOL_HIGHLIGHT             369
#define IN_CMD_TOOL_HIGHLIGHTAREA         370

#define IN_CMD_GROUP                      400
#define IN_CMD_GROUP_SELECT               401
#define IN_CMD_GROUP_MOVE                 402
#define IN_CMD_GROUP_ROTATE               403
#define IN_CMD_GROUP_SELALL               404
#define IN_CMD_GROUP_DESELALL             405
#define IN_CMD_GROUP_TOFRONT              406
#define IN_CMD_GROUP_TOBACK               407
#define IN_CMD_GROUP_DUP                  408
#define IN_CMD_GROUP_BIND                 409
#define IN_CMD_GROUP_UNBIND               410
#define IN_CMD_GROUP_HIDE                 411
#define IN_CMD_GROUP_UNHIDE               412
#define IN_CMD_GROUP_DELETE               413
#define IN_CMD_GROUP_SVSYM                414
#define IN_CMD_GROUP_CHANGETEXT           415
#define IN_CMD_GROUP_ATTACHHOTSPOT        416
#define IN_CMD_GROUP_CHANGEATTRIB         417

#define IN_CMD_UTIL                       450
#define IN_CMD_UTIL_MERGE                 451
#define IN_CMD_UTIL_DESPECKLE             452
#define IN_CMD_UTIL_DESKEW                453
#define IN_CMD_UTIL_RASTER                454
#define IN_CMD_UTIL_CROP                  455
#define IN_CMD_UTIL_CROP_SET              456
#define IN_CMD_UTIL_CROP_SHIFT            457
#define IN_CMD_UTIL_CROP_A                458
#define IN_CMD_UTIL_CROP_B                459
#define IN_CMD_UTIL_CROP_C                460
#define IN_CMD_UTIL_CROP_D                461
#define IN_CMD_UTIL_CROP_E                462
#define IN_CMD_UTIL_CROP_A0               463
#define IN_CMD_UTIL_CROP_A1               464
#define IN_CMD_UTIL_CROP_A2               465
#define IN_CMD_UTIL_CROP_A3               466
#define IN_CMD_UTIL_CROP_A4               467
#define IN_CMD_UTIL_UNDO                  468
#define IN_CMD_UTIL_RESIZE                469
#define IN_CMD_UTIL_CROP_USER             470
#define IN_CMD_UTIL_CROP_AUTO             471

#define IN_CMD_OPTIONS                    500
#define IN_CMD_OPTIONS_VIEWRIBBON         501
#define IN_CMD_OPTIONS_STATUSBAR          502
#define IN_CMD_OPTIONS_TOOLBAR            503
#define IN_CMD_OPTIONS_ASSOCIATE          504
#define IN_CMD_OPTIONS_SYSTEMOPTS         505
#define IN_CMD_OPTIONS_FILEOPTS           506
#define IN_CMD_OPTIONS_VIEWOPTS           507
#define IN_CMD_OPTIONS_TOOLOPTS           508
#define IN_CMD_OPTIONS_TEXTOPTS           509
#define IN_CMD_OPTIONS_DIMOPTS            510
#define IN_CMD_OPTIONS_EDITOPTS           511
#define IN_CMD_OPTIONS_HOTSPOTOPTS        512
#define IN_CMD_OPTIONS_CROPOPTS           513
#define IN_CMD_OPTIONS_DETAILWIN          514
#define IN_CMD_OPTIONS_LAYERSWIN          515
#define IN_CMD_OPTIONS_LINEPICK           516
#define IN_CMD_OPTIONS_SYMBOLPALETTE      517
#define IN_CMD_SYMBOLPALETTEMENU_CHANGE   518
#define IN_CMD_SYMBOLPALETTEMENU_REFRESH  519
#define IN_CMD_SYMBOLPALETTEMENU_HELP     520
#define IN_CMD_OPTIONS_VIEWEDITBAR        521
#define IN_CMD_OPTIONS_MEASUREMENTWIN     522

#define IN_CMD_WINDOW                     550
#define IN_CMD_WINDOW_TILE                551
#define IN_CMD_WINDOW_TILESTRIPS          552
#define IN_CMD_WINDOW_TILEVERTICAL        553
#define IN_CMD_WINDOW_CASCADE             554
#define IN_CMD_WINDOW_ARRANGE             555
#define IN_CMD_WINDOW_CLOSE               556

#define IN_CMD_HELP                       600
#define IN_CMD_HELP_INDEX                 601
#define IN_CMD_HELP_KEYBOARD              602
#define IN_CMD_HELP_COMMANDS              603
#define IN_CMD_HELP_PROCEDURES            604
#define IN_CMD_HELP_ABOUT                 605
#define IN_CMD_HELP_PRODUCT               606
#define IN_CMD_HELP_VERSIONS              607
#define IN_CMD_HELP_API                   608
#define IN_CMD_HELP_SEARCH                609
#define IN_CMD_HELP_CONTENTS              610



/* Types of commands for in use notification */
#define IN_DDE_UNKNOWN                     0
#define IN_DDE_EXECUTE                     1
#define IN_DDE_REQUEST                     2
#define IN_DDE_POKE                        3
#define IN_DDE_ERROR                       4
#define IN_DDE_RESULT                      5



/* External window modes */
#define IN_EXTMODE_ALL                    0xFFFFU
#define IN_EXTMODE_ZOOM                   0x0001U
#define IN_EXTMODE_VECTOR                 0x0002U
#define IN_EXTMODE_SCROLL                 0x0004U


/* CFG UI configuration constants */
#define IN_CFGUI_SYSDLG_SYSTEMDIR           10  /* TRUE if "system directory" field of system prefs is allowed                 */ 
#define IN_CFGUI_SYSDLG_PREVSIZE            11  /* TRUE if "preview size" field of system prefs is allowed                     */
#define IN_CFGUI_SYSDLG_VIEWGROUP           12  /* TRUE if "view" radio buttons of sys prefs is allowed                        */
#define IN_CFGUI_SYSDLG_OPTGROUP            13  /* TRUE if "optimize" radio buttons of sys prefs is allowed                    */
#define IN_CFGUI_SYSDLG_SAVEASVIEWED        14  /* TRUE if "save as viewed" check box of sys prefs is allowed                  */
#define IN_CFGUI_SHOW_RASTERLYR             15  /* TRUE if layers of type "raster" can be viewed                               */
#define IN_CFGUI_SHOW_REDLINELYR            16  /* TRUE if layers of type "redline" can be viewed                              */
#define IN_CFGUI_SHOW_EDITLYR               17  /* TRUE if layers of type "edit" can be viewed                                 */
#define IN_CFGUI_SHOW_FULLEDITLYR           18  /* TRUE if layers of type "fulledit" can be viewed                             */
#define IN_CFGUI_SHOW_ANNOLYR               19  /* TRUE if layers of type "annotation" can be viewed                           */
#define IN_CFGUI_SHOW_HOTSPTLYR             20  /* TRUE if layers of type "hotspot" can be viewed                              */
#define IN_CFGUI_SHOW_TEXTLYR               21  /* TRUE if layers of type "text" can be viewed                                 */
#define IN_CFGUI_TITLEBAR_MPAGEID           22  /* TRUE if multipage label is to be put in the window title bar                */
#define IN_CFGUI_TITLEBAR_PAGEID            23  /* TRUE if the page label is to be put in the window title bar                 */
#define IN_CFGUI_TITLEBAR_PAGENUM           24  /* TRUE if the page number is to be put in the window title bar                */
#define IN_CFGUI_PIXEL_MEAS                 25  /* TRUE if measurements can be done in pixels                                  */
#define IN_CFGUI_OVERWRITE_RASTER           26  /* TRUE if merge replaces current doc instead of makes new doc                 */
#define IN_CFGUI_WKLSTDLG_SAVE              27  /* TRUE if "save" button in worklist dialog is allowed                         */
#define IN_CFGUI_WKLSTDLG_OPEN              28  /* TRUE if "open" button in worklist dialog is allowed                         */
#define IN_CFGUI_WKLSTDLG_VIEW              29  /* TRUE if "view" button in worklist dialog is allowed                         */
#define IN_CFGUI_LRINFODLG_PERMS            30  /* TRUE if "permissions" item in layer info dialog is allowed                  */
#define IN_CFGUI_SAVLYRDLG_OPTIONS          31  /* TRUE if "options" field in save layer dialog is allowed                     */
#define IN_CFGUI_DIALOG_REMOVEUNUSED        32  /* TRUE if unused dialog items are to be removed                               */
#define IN_CFGUI_FILEDLG_INPUT_SETS         33  /* TRUE if set file open extsnsions in file prefs dialog are allowed           */
#define IN_CFGUI_FILEDLG_INPUT_DOCS         34  /* TRUE if doc file open extsnsions in file prefs dialog are allowed           */
#define IN_CFGUI_FILEDLG_INPUT_EDIT         35  /* TRUE if edit file open extsnsions in file prefs dialog are allowed          */
#define IN_CFGUI_FILEDLG_INPUT_RASTER       36  /* TRUE if raster file open extsnsions in file prefs dialog are allowed        */
#define IN_CFGUI_FILEDLG_INPUT_TEXT         37  /* TRUE if text file open extsnsions in file prefs dialog are allowed          */
#define IN_CFGUI_FILEDLG_INPUT_SYMBOL       38  /* TRUE if symbol file open extsnsions in file prefs dialog are allowed        */
#define IN_CFGUI_FILEDLG_INPUT_GROUP        39  /* TRUE if input button (and sub-dialog) in file prefs dialog are allowed      */
#define IN_CFGUI_FILEDLG_VECTOR_PENS        40  /* TRUE if vector pens button in file prefs dialog are allowed                 */
#define IN_CFGUI_FILEDLG_IMAGE_DIR          41  /* TRUE if image dir edit field in file prefs dialog is allowed                */
#define IN_CFGUI_FILEDLG_SYMBOL_DIR         42  /* TRUE if symbol dir edit field in file prefs dialog is allowed               */
#define IN_CFGUI_FILEDLG_OPEN_GROUP         43  /* TRUE if open group in file prefs dialog is allowed                          */
#define IN_CFGUI_FILEDLG_OPEN_SETS          44  /* TRUE if sets radio in open group in file prefs dialog is allowed            */
#define IN_CFGUI_FILEDLG_OPEN_DOCS          45  /* TRUE if doc radio in open group in file prefs dialog is allowed             */
#define IN_CFGUI_FILEDLG_OPEN_RASTER        46  /* TRUE if raster radio in open group in file prefs dialog is allowed          */
#define IN_CFGUI_FILEDLG_OPEN_TEXT          47  /* TRUE if text radio in open group in file prefs dialog is allowed            */
#define IN_CFGUI_FILEDLG_USE_GROUP          48  /* TRUE if use group in file prefs dialog is allowed                           */
#define IN_CFGUI_DIALOG_SAVE_RESET          49  /* TRUE if save and reset buttons in dialogs are allowed                       */ 
#define IN_CFGUI_FILEDLG_OUTPUT_GROUP       50  /* TRUE if output group in file prefs dialog is allowed                        */
#define IN_CFGUI_FILEDLG_OUTPUT_SETS        51  /* TRUE if sets extensions in output group in file prefs dialog is allowed     */
#define IN_CFGUI_FILEDLG_OUTPUT_DOCS        52  /* TRUE if docs extensions in output group in file prefs dialog is allowed     */
#define IN_CFGUI_FILEDLG_OUTPUT_RASTER      53  /* TRUE if raster extensions in output group in file prefs dialog is allowed   */ 
#define IN_CFGUI_FILEDLG_OUTPUT_TEXT        54  /* TRUE if text extensions in output group in file prefs dialog is allowed     */ 
#define IN_CFGUI_FILEDLG_OUTPUT_EDIT        55  /* TRUE if edit extensions in output group in file prefs dialog is allowed     */ 
#define IN_CFGUI_FILEDLG_OUTPUT_SYMBOL      56  /* TRUE if symbol extensions in output group in file prefs dialog is allowed   */



/* Product switches */
#define IN_SW_KEEP_DELETED_LAYERS            1  /* Keep deleted layers around, but marked as deleted */


#endif


/* INAPIDEF.H */
/* end of file */


